%bcond_with bootstrap

Name:           maven-mapping
Version:        3.0.0
Release:        %mkrel 12
Group:          Development/Java
Summary:        Apache Maven Mapping
License:        Apache-2.0

URL:            https://maven.apache.org/shared/maven-mapping/
Source0:        https://repo.maven.apache.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.codehaus.plexus:plexus-interpolation)
%endif

%description
Maven shared component that implements file name mapping.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q
%pom_xpath_set "pom:project/pom:properties/pom:maven.compiler.target" "8" pom.xml
%pom_xpath_set "pom:project/pom:properties/pom:maven.compiler.source" "8" pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Thu Jan 23 2025 daviddavid <daviddavid> 3.0.0-12.mga10
+ Revision: 2140763
- Fix maven compiler attributes, close rhbz#2340824

* Wed May 22 2024 ns80 <ns80> 3.0.0-11.mga10
+ Revision: 2066135
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 3.0.0-10.mga9
+ Revision: 1827462
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 neoclust <neoclust> 3.0.0-9.mga8
+ Revision: 1615885
- Rebuild against java11

* Wed Feb 12 2020 umeabot <umeabot> 3.0.0-8.mga8
+ Revision: 1491755
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 3.0.0-7.mga7
+ Revision: 1264069
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.0.0-6.mga6
+ Revision: 1101367
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.0.0-4.mga6
+ Revision: 977260
- First rebuild of the java stack
- sync package maven-mapping with fedora

* Sun Dec 20 2015 zezinho <zezinho> 3.0.0-1.mga6
+ Revision: 912540
- imported package maven-mapping


* Mon Nov 23 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.0.0-1
- Update to upstream version 3.0.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Oct 14 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0-1
- Initial packaging
